User Tools

Site Tools


development:compiling:player:cmake

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
development:compiling:player:cmake [2013/11/30 15:06]
fdelapena Remove lua requirement
development:compiling:player:cmake [2016/04/01 15:47] (current)
ghabry Remove boost for >0.4.1
Line 3: Line 3:
 ===== Requirements ===== ===== Requirements =====
   * cmake-2.8 or greater   * cmake-2.8 or greater
-  * SDL 1.2 +  * SDL2 
-  * SDL_mixer+  * SDL2_mixer
   * Freetype   * Freetype
   * Pixman   * Pixman
   * libpng   * libpng
-  * libjpeg (with jpeg_mem_src) 
   * zlib   * zlib
-  * boost+  * boost (**only for 0.4.1**, later versions don't require boost)
   * OpenAL   * OpenAL
 +  * FluidSynth
   * Ruby   * Ruby
-  * Doxygen +  * Doxygen ​(optional) 
-  * [[../readers/cmake|EasyRPG Readers library]]+  * [[../liblcf/cmake|liblcf]]
  
 ===== Build ===== ===== Build =====
-  * Run "cmake ${PATH TO player/​builds/​cmake} && make".+  * Run "cmake ${PATH TO player} && make".
   * If you want to build it with debug mode pass "-D CMAKE_BUILD_TYPE=Debug"​ to cmake.   * If you want to build it with debug mode pass "-D CMAKE_BUILD_TYPE=Debug"​ to cmake.
-  * If you use Ubuntu or Arch Linux and you are getting linker errors, pass "​-Wl,​--no-as-needed"​ to cmake. 
development/compiling/player/cmake.1385823979.txt.gz · Last modified: 2013/11/30 15:06 by fdelapena